---
title: "downloadTaxForm-v2"
url: "https://developers.zinnia.com/apis/documents-0-3-0/versions/43d1ee7b-44e7-4303-b0cd-ca813c63b625/operations/downloadTaxForm-v2"
---

> Full API specification: https://developers.zinnia.com/apis/documents-0-3-0/versions/43d1ee7b-44e7-4303-b0cd-ca813c63b625.md

# downloadTaxForm-v2

`GET` `/document/v2/taxForms/{formId}`

Operation ID: `downloadTaxForm-v2`

This is an endpoint to download a tax-form from SOVOS

## Path parameters

- `formId` (string, required) - Form id for the tax-form

## Query parameters

- `clientCode` (string, optional) - Client code for the carrier/client
- `contractNumber` (string, required) - Contract number for the document/tax-form
- `fChar` (string, required) - Unique string character associated with the tax-form name
- `taxYear` (string, optional) - Tax-year for the form (defaults to current year-1)

## Header parameters

- `Authorization` (string, required) - Authorization token

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Enterprise Documents API
  version: 3.0.0
servers:
  - url: https://dev.api.zinnia.io
    description: Dev Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
  - url: https://uat.api.zinnia.io
    description: UAT Environment
  - url: https://api.zinnia.io
    description: PROD Environment
paths:
  /document/v2/taxForms/{formId}:
    get:
      operationId: downloadTaxForm-v2
      summary: ""
      description: This is an endpoint to download a tax-form from SOVOS
      parameters:
        - name: Authorization
          required: true
          in: header
          example: Bearer <token>
          description: Authorization token
          schema:
            type: string
        - name: formId
          required: true
          in: path
          example: "123456"
          description: Form id for the tax-form
          schema:
            type: string
        - name: clientCode
          in: query
          example: EVGL
          description: Client code for the carrier/client
          schema:
            type: string
        - name: contractNumber
          required: true
          in: query
          example: "1234567898"
          description: Contract number for the document/tax-form
          schema:
            type: string
        - name: fChar
          required: true
          in: query
          example: R
          description: Unique string character associated with the tax-form name
          schema:
            type: string
        - name: taxYear
          required: false
          in: query
          example: "2023"
          description: Tax-year for the form (defaults to current year-1)
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/DownloadDocumentResponse"
            application/octet-stream:
              schema:
                $ref: "#/components/schemas/DownloadDocumentResponse"
          description: OK
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/InlineResponse400"
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/InlineResponse401"
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/InlineResponse404"
      tags:
        - TaxForms V2
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    DownloadDocumentResponse:
      type: object
      properties:
        fileExtension:
          type: string
        binaryData:
          type: string
      required:
        - fileExtension
        - binaryData
    InlineResponse400:
      type: object
      properties:
        xCorrelationId:
          type: string
        status:
          type: number
        errorDesc:
          type: string
        errorDetailedDesc:
          type: string
      required:
        - xCorrelationId
        - status
        - errorDesc
        - errorDetailedDesc
    InlineResponse401:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    InlineResponse404:
      type: object
      properties:
        message:
          type: string
      required:
        - message
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://api.zinnia.io
          client_id:
            - bGOIRPRq2ZnjCujDXC7ikwR5ez7VH5GZ
          auth_methods:
            - bearer
          scopes: []
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
